Bug 307881 - issues with xdg-user-dirs
issues with xdg-user-dirs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 15:36 EDT by Bill Nottingham
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ui polish (2.60 KB, patch)
2007-10-03 23:07 EDT, Matthias Clasen
no flags Details | Diff
content hint (1.20 KB, patch)
2007-10-03 23:07 EDT, Matthias Clasen
no flags Details | Diff
before (39.15 KB, image/png)
2007-10-03 23:08 EDT, Matthias Clasen
no flags Details
after (44.27 KB, image/png)
2007-10-03 23:09 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Bill Nottingham 2007-09-26 15:36:09 EDT
Description of problem:

1) It appears to remove/recreate, instead of rename directories. So,
if my Music directory has content, instead of being renamed Musique, I end
up with both Music and Musique.

2) If I keep switching languages (-> french, -> german, -> spanish, etc) it
keeps offering to rename them. However, if I switch back to english, it doesn't
offer to rename them back to english.

Version-Release number of selected component (if applicable):

xdg-user-dirs-0.9-1.fc8
Comment 1 Matthias Clasen 2007-09-27 14:01:45 EDT
Bill, what are you doing ?  You are not even speaking all those languages !
Comment 2 Bill Nottingham 2007-09-27 14:39:18 EDT
Heh. Just tried the login-with-a-different-language option in GDM (just testing
it), and the dialogs started popping up...
Comment 3 Bill Nottingham 2007-09-28 16:38:27 EDT
Re: point #2 - it will offer to rename if you end up in 'C', but not in 'en_US'.
Comment 4 Matthias Clasen 2007-10-01 12:37:33 EDT
So, the recreation instead of renaming is intentional, I believe. It should
never remove existing directories though, unless they are empty. The dialog
should probably contain some text explaining this, so users know to move the
content themselves.

I can confirm the swith-back-to-english problem. 

How do you log in with the C locale, though ?
Comment 5 Matthias Clasen 2007-10-01 13:14:24 EDT
I've fixed the reverting-to-english problem.

The better text for the dialog will have to wait until after string freeze, I guess.
Comment 6 Bill Nottingham 2007-10-01 15:49:17 EDT
(In reply to comment #4)

> How do you log in with the C locale, though ?

Accidentally set the system locale to something unsupported in glibc.
Comment 7 Matthias Clasen 2007-10-03 23:07:18 EDT
Created attachment 215341 [details]
ui polish
Comment 8 Matthias Clasen 2007-10-03 23:07:53 EDT
Created attachment 215351 [details]
content hint
Comment 9 Matthias Clasen 2007-10-03 23:08:48 EDT
Created attachment 215361 [details]
before
Comment 10 Matthias Clasen 2007-10-03 23:09:12 EDT
Created attachment 215371 [details]
after
Comment 11 Bug Zapper 2008-05-13 23:17:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-06-09 18:52:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 12:33:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.